commit:     21dd60e47b28a759842c1f2e2ec89c6ed38f678d
Author:     Louis Sautier <sautier.louis <AT> gmail <DOT> com>
AuthorDate: Mon Nov 28 19:56:40 2016 +0000
Commit:     David Seifert <soap <AT> gentoo <DOT> org>
CommitDate: Tue Nov 29 08:15:53 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=21dd60e4

dev-python/backports-unittest-mock: bump to 1.2.1, add doc

build_sphinx isn't supported as per
jaraco/backports.unittest_mock@6c0f14a40d7b49b7f5114690191b95485bbd729b

Package-Manager: portage-2.3.2
Closes: https://github.com/gentoo/gentoo/pull/2948

 dev-python/backports-unittest-mock/Manifest        |  1 +
 .../backports-unittest-mock-1.2.1.ebuild           | 50 ++++++++++++++++++++++
 dev-python/backports-unittest-mock/metadata.xml    |  2 +
 3 files changed, 53 insertions(+)

diff --git a/dev-python/backports-unittest-mock/Manifest 
b/dev-python/backports-unittest-mock/Manifest
index 1ccc06c..7a1fbf1 100644
--- a/dev-python/backports-unittest-mock/Manifest
+++ b/dev-python/backports-unittest-mock/Manifest
@@ -1 +1,2 @@
 DIST backports.unittest_mock-1.1.1.tar.gz 3255 SHA256 
641bd99befaa09834df2aa5f01a0db27c782758e06d46831bfae6ff91dc5d1be SHA512 
82872d9ada74b7e64792b29cd49177d5c54ffd64260ce17628df7df08e9e16ee1456d9f80eacacebb43a5e51ad93868cd49bee84209cf6682385e746bcfc90c4
 WHIRLPOOL 
e1c1728a6a2aa0a2ec58a57b23874deb1167d2e3599a20d5e1331ab97e34798519956cb5b20bed735c7a714b6d258944f32144997a9763462c3d373e28a68267
+DIST backports.unittest_mock-1.2.1.tar.gz 4580 SHA256 
3a333a7a7641e4c7657c6086d117f88c61c96249b80dd7aa66eba0806a55a393 SHA512 
36218fe1117d62cc1aeea576c6220be7b8dd76b800776001756d157528ff7760791c513751a221ba84790c5b60b8ce62ab2ef17f4d359dd026211dc9c5cbcd5e
 WHIRLPOOL 
1ef33a0537331a2564498e7240bb27c0128fa42ed94f76ec6876e83ea0a0ee27e7b425f44a642b4fe9609d4dcf086bd099ba8666aeaeed589d56d1cd263ed1f5

diff --git 
a/dev-python/backports-unittest-mock/backports-unittest-mock-1.2.1.ebuild 
b/dev-python/backports-unittest-mock/backports-unittest-mock-1.2.1.ebuild
new file mode 100644
index 00000000..efb3269
--- /dev/null
+++ b/dev-python/backports-unittest-mock/backports-unittest-mock-1.2.1.ebuild
@@ -0,0 +1,50 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+
+# It is the developer's intention that backports.unittest_mock will be
+# used even for Python 3: https://github.com/jaraco/jaraco.timing/pull/1
+PYTHON_COMPAT=( python{2_7,3_4,3_5} )
+
+inherit distutils-r1
+
+MY_PN="${PN/-/.}"
+MY_PN="${MY_PN//-/_}"
+DESCRIPTION="Backport of unittest.mock"
+HOMEPAGE="https://github.com/jaraco/backports.unittest_mock";
+SRC_URI="mirror://pypi/${PN:0:1}/${MY_PN}/${MY_PN}-${PV}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="doc test"
+
+RDEPEND="dev-python/mock[${PYTHON_USEDEP}]"
+DEPEND="dev-python/setuptools[${PYTHON_USEDEP}]
+       >=dev-python/setuptools_scm-1.15.0[${PYTHON_USEDEP}]
+       doc? (
+               dev-python/sphinx[${PYTHON_USEDEP}]
+               dev-python/rst-linker[${PYTHON_USEDEP}]
+       )
+       test? (
+               ${RDEPEND}
+               >=dev-python/pytest-2.8[${PYTHON_USEDEP}]
+               dev-python/pytest-runner[${PYTHON_USEDEP}]
+       )
+"
+
+S="${WORKDIR}/${MY_PN}-${PV}"
+
+python_compile_all() {
+       if use doc; then
+               cd docs || die
+               sphinx-build . _build/html || die
+               HTML_DOCS=( docs/_build/html/. )
+       fi
+}
+
+python_test() {
+       py.test || die "tests failed with ${EPYTHON}"
+}

diff --git a/dev-python/backports-unittest-mock/metadata.xml 
b/dev-python/backports-unittest-mock/metadata.xml
index f85b293..f926043 100644
--- a/dev-python/backports-unittest-mock/metadata.xml
+++ b/dev-python/backports-unittest-mock/metadata.xml
@@ -13,5 +13,7 @@
        <upstream>
                <remote-id type="pypi">backports.unittest_mock</remote-id>
                <remote-id 
type="github">jaraco/backports.unittest_mock</remote-id>
+               
<bugs-to>https://github.com/jaraco/backports.unittest_mock/issues</bugs-to>
+               
<changelog>https://github.com/jaraco/backports.unittest_mock/blob/master/CHANGES.rst</changelog>
        </upstream>
 </pkgmetadata>

Reply via email to